package com.bizmatics.mhfire.controller.web;

import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.mhfire.persistence.mapper.po.UnitBeOnDutyPO;
import com.bizmatics.mhfire.service.UnitBeOnDutyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 支队值班
 * @author yq
 * @date 2021/5/31 9:28
 */
@RestController
@RequestMapping("unitBeOnDuty")
public class UnitBeOnDutyControllerWeb {

    @Autowired
    private UnitBeOnDutyService unitBeOnDutyService;


    /**
     * 今日值班表
     * @return
     */
    @GetMapping("/one")
    public ApiResult<UnitBeOnDutyPO> getOne(){
        return ApiResult.success(unitBeOnDutyService.gerOneByToday());
    }

}
